.modal-overlay {
    position: fixed;
    inset: 0;
    background: rgba(0, 0, 0, 0.4);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 9999;
    opacity: 0;
    transition: opacity 0.2s;
    overflow-y: auto;
    padding: 24px 0;
}

.modal-overlay.show {
    opacity: 1;
}

.modal-overlay.show .modal-container {
    transform: scale(1);
}

.modal-container {
    background: var(--color-white);
    border-radius: 16px;
    width: 90%;
    max-width: 440px;
    margin: auto;
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.15);
    transform: scale(0.95);
    transition: transform 0.2s;
}

.modal-header,
.modal-body,
.modal-footer {
    padding: 16px;
}

.modal-body {
    word-break: break-all;
}

.modal-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid var(--color-gray-100);
}

.modal-title {
    font-size: var(--font-size-lg);
    font-weight: var(--font-weight-bold);
    color: var(--color-text);
    margin: 0;
}

.modal-close {
    background: none;
    border: none;
    font-size: 20px;
    cursor: pointer;
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    line-height: 1;
    align-self: flex-start;
    margin-top: 4px;
}

.modal-footer {
    display: flex;
    gap: 12px;
    justify-content: flex-end;
    border-top: 1px solid var(--color-gray-100);
}

.modal-btn {
    width: 107px;
}

.modal-close:hover {
    opacity: 0.9;
}

.modal-body input:focus {
    outline: none;
    border-color: var(--color-gray-900) !important;
}
